Release 5.0.0
Closed, ResolvedPublic

Description

  • Before running fastlane builds that submit to iTunesConnect, update in-repo metadata (e.g. "What's New" text)

Release version: 5.0.0
Release tag: releases / 5.0.0.775
Release SHA1: 94470e7e39912cc242773e1122b7b08e8e6f73fe
App Store Submission Date: 3/3/2016
App Store Approval Date: 3/7/2016
App Store Release Date: 3/10/2016


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Verify RC is populating analytics data to Piwik production instance
  • Point current status at this card
  • Coordinate with Comms on blog post for major releases (major features)
  • Add notice tag
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Draft What's New, post to Google Docs, and ?notify writers room?
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Draft App Store Description, post to Google Docs, and notify writers room (if needed)

[/ ] Localization/translation of App Store description and app meta data

  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Notify Comms that release is live if major release
  • Notify Jeff Elder to post on Twitter and Facebook
  • Post on mobile-l
JMinor created this task.Feb 23 2016, 6:38 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 6:38 PM
JMinor updated the task description. (Show Details)Feb 23 2016, 6:38 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)Feb 27 2016, 12:31 AM
JMinor updated the task description. (Show Details)Mar 10 2016, 9:41 PM
JMinor closed this task as Resolved.

Wooohoooo!!!!!

JMinor renamed this task from Release 5.0.0 (?) to Release 5.0.0.Mar 22 2016, 9:18 PM